%define name drivel
%define version 2.0.3

%define Summary A live journal for Gnome

Summary: 	%Summary
Name: 		%name
Version: 	%version
Release: 	%mkrel 3
License: 	GPL
Group: 		Networking/Other
URL:		http://www.dropline.net/drivel/index.php

Source:		http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Source1:	%name-16.png
Source2:	%name-32.png
Source3:	%name.png
BuildRoot: 	%_tmppath/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gtkspell-devel
BuildRequires:  libgnomeui2-devel
BuildRequires:  gtksourceview-devel
BuildRequires:  libglade2.0-devel
BuildRequires:	curl-devel 
BuildRequires:	scrollkeeper
BuildRequires:	perl(XML::Parser)
BuildRequires:	rhythmbox
BuildRequires:	desktop-file-utils

%description
Drivel is a GNOME client for working with online journals, also known as
weblogs or simply blogs.  It supports LiveJournal, Blogger, MovableType,
Advogato, Atom, WordPress, Drupal and other content management systems, and
allows offline composition and editing, complete with spell checking.  You can
post, edit, delete, and view recent entries, and there is tight Gnome desktop
integration.

%prep
%setup -q

%build
%configure2_5x --disable-mime-update --disable-desktop-update

%make WARN_CFLAGS=""

%install
rm -rf %buildroot
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std UPDATE_MIME_DATABASE=true UPDATE_DESKTOP_DATABASE=true 

rm -rf %{buildroot}/var/lib/scrollkeeper/

%find_lang %name --with-gnome

desktop-file-install --vendor="" --remove-category Application --add-category X-MandrivaLinux-Internet-Other --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# icon
mkdir -p %buildroot/{%_liconsdir,%_iconsdir,%_miconsdir}
#install -m 644 src/pixmaps/%name.png %buildroot/%_datadir/pixmaps/%name.png
install -m 644 %SOURCE1 %buildroot/%_miconsdir/%name.png
install -m 644 %SOURCE2 %buildroot/%_liconsdir/%name.png
install -m 644 %SOURCE3 %buildroot/%_iconsdir/%name.png

%define schemas %name

%post
%post_install_gconf_schemas %{schemas}
%update_scrollkeeper
%update_desktop_database

%preun
%preun_uninstall_gconf_schemas %{schemas}

%postun
%clean_scrollkeeper
%clean_mime_database
%clean_desktop_database

%clean
rm -rf %buildroot

%files -f %name.lang
%defattr(-,root,root)

%doc AUTHORS COPYING MAINTAINERS NEWS README TODO
%{_sysconfdir}/gconf/schemas/drivel.schemas
%{_bindir}/drivel
%{_datadir}/drivel
%{_datadir}/pixmaps/*
%{_datadir}/icons/gnome/48x48/mimetypes/gnome-mime-application-x-drivel.png
%{_datadir}/applications/*.desktop
%{_datadir}/mime/*
%{_datadir}/mime-info/*
%{_datadir}/application-registry/*
%{_datadir}/omf/%{name}/%{name}-C.omf
%_liconsdir/%name.png
%_miconsdir/%name.png
%_iconsdir/%name.png


%changelog
* Fri Feb 23 2007 Emmanuel Andry <eandry@mandriva.org> 2.0.3-3mdv2007.0
+ Revision: 125225
- buildrequires desktop-file-utils

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix bug #28744

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Rebuild against new curl
    - Import drivel



* Mon Aug 07 2006 Jerome Soyer <saispo@mandriva.org> 2.0.3-1mdv2007.0
- New release 2.0.3
- Fix XDG Menu

* Mon Nov 07 2005 Abel Cheung <deaddog@mandriva.org> 2.0.2-2mdk
- Rebuild

* Thu Aug 11 2005 Abel Cheung <deaddog@mandriva.org> 2.0.2-1mdk
- New release 2.0.2

* Thu Jun 30 2005 Abel Cheung <deaddog@mandriva.org> 2.0.1-1mdk
- 2.0.1
- Update mime database too

* Thu Jun 09 2005 Lenny Cartier <lenny@mandriva.com> 2.0.0-1mdk
- 2.0.0

* Tue Jun 07 2005 Lenny Cartier <lenny@mandriva.com> 1.3.91-1mdk
- 1.3.91

* Mon May 30 2005 Lenny Cartier <lenny@mandriva.com> 1.3.90-1mdk
- 1.3.90

* Sat Feb  5 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-2mdk
- fix buildrequires

* Thu Feb  3 2005 Gtz Waschk <waschk@linux-mandrake.com> 1.3.1-1mdk
- update file list
- fix mime database handling
- New release 1.3.1

* Thu Jan 06 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 1.2.3-2mdk 
- Rebuild for latest howl

* Sat Dec 04 2004 Jerome Soyer <saispo@mandrake.org> 1.2.3-1mdk
- New version

* Wed Oct 27 2004 Jerome Soyer <saispo@mandrake.org> 1.2.2-1mdk
- New Version

* Fri Oct 01 2004 Jerome Soyer <saispo@mandrake.org> 1.2.1-1mdk
- new version

* Sun Aug 29 2004 Jerome Soyer <saispo@mandrake.org> 1.2.0-1mdk
- new version

* Thu Aug 26 2004 Jerome Soyer <saispo@mandrake.org> 1.1.2-2mdk
- BuildRequires

* Sat Aug 14 2004 Jerome Soyer <saispo@mandrake.org> 1.1.2-1mdk
- new version

* Sun Aug 08 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 1.1.1-2mdk
- fix section and group

* Sat Aug 07 2004 Jerome Soyer <jeromesoyer@yahoo.fr> 1.1.1-1mdk
- first build
